#pragma once
#include "Player.h"
#include "Gui/Screens/MainScreen.h"

class GameManager {
public:
	static GameManager& GetInstance();
	static GameManager* m_pInstance;
	

	void SetMainScreen(MainScreen* pMainScreen);

	void SetFuel(int fuel);
	int GetFuel() const;
	void DecreaseFuel(int fuel);
	void AddFuel(int fuel);

	void SetHullIntegrity(int hullIntegrity);
	int GetHullIntegrity() const;
	void DamageHull(int damage);

	void SetScore(int score);
	int GetScore() const;
	void IncreaseScore(int score);

	void Update(float elapsedSecs);

private:
	GameManager() = default;


	float m_Balance{ 0.0f };
	int m_HullIntegrity{ 100 };
	int m_Fuel{ 100 };
	int m_Score{ 0 };
	MainScreen* m_pMainScreen{ nullptr };
};

